pro simpleENVIGUI, ev

	; Error handler :
	err = 0
	CATCH, err
	IF err NE 0 THEN BEGIN
		res = DIALOG_MESSAGE(!error_state.msg, /ERROR)
		CATCH, /CANCEL
		RETURN
	END

	; Create simple widgets :
	base = WIDGET_AUTO_BASE(TITLE = 'File Selection test')

	; Select input file :
	wi = WIDGET_OUTF(base, UVALUE = 'inf', /AUTO, PROMPT = 'Input filename :')

	; Select output file :
	wo = WIDGET_OUTF(base, UVALUE = 'outf', /AUTO, PROMPT = 'Output filename :', $
	DEFAULT = 'c:\temp\result.png')

	; Define radius :
	wRadius = WIDGET_PARAM(base, DT = 2, PROMPT = "Radius :", /AUTO, UVALUE = "Radius", $
	DEFAULT = 3)

	; Auto manage :
	result = AUTO_WID_MNG(base)

	; User hit Cancel button :
	IF result.accept EQ 0 THEN $
		RETURN

	; Check values :
	IF ~FILE_TEST(result.inf) THEN $
		MESSAGE, "Invalid input filename"
	IF result.outf EQ '' THEN $
		MESSAGE, "Invalid output filename"

	; Get widget values and do processing :
	WIDGET_CONTROL, /HOURGLASS
	; Call TOUZI edge detector :
	OTBTOUZIEDGEDETECTOR, result.inf, result.outf, $
	FIX(result.radius)
	WIDGET_CONTROL, HOURGLASS = 0

	; Load files into ENVI :
	ENVI_OPEN_DATA_FILE, result.inf
	ENVI_OPEN_DATA_FILE, result.outf

END